
rgw - Bug #9651

RGW: Object Removal Atomicity 

10/02/2014 03:58 PM - Tyler Brekke

Status: Duplicate % Done: 0%

Priority: High Spent time: 0.00 hour

Assignee:    

Category:    

Target version:    

Source: Support Affected Versions:  

Tags:  ceph-qa-suite:  

Backport:  Pull request ID:  

Regression: No Crash signature (v1):  

Severity: 3 - minor Crash signature (v2):  

Reviewed:    

Description

The issue appears then a system does down when there are pending object deletions. The object can be removed but will still show

in the bucket listing.

The current workaround is to create an object with the same name then remove it. This will remove it from the bucket listing.

Related issues:

Duplicated by rgw - Bug #9525: Deleted object shows in object listing Duplicate 09/18/2014

History

#1 - 10/06/2014 09:40 AM - Sage Weil

- Priority changed from Normal to High

#2 - 03/24/2015 06:13 PM - Sage Weil

- Status changed from New to Duplicate

likely duplicate of #10770

Powered by TCPDF (www.tcpdf.org)

03/20/2024 1/1

https://tracker.ceph.com/issues/10770
http://www.tcpdf.org

